Summary:        A language for writing Python extension modules
Summary(ja):    Python 拡張モジュールを簡単に作成するためのプログラミング言語
Name:           Cython
Version:        0.29.13
Release:        1%{?_dist_release}

Group:          Development/Languages
License:        Apache
URL:            http://cython.org/
Source0:        http://cython.org/release/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-rpm-macros

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Cython is a language that makes writing C extensions for the Python language as easy as Python itself. Cython is based on the well-known Pyrex, but supports more cutting edge functionality and optimizations.

The Cython language is very close to the Python language, but Cython additionally supports calling C functions and declaring C types on variables and class attributes.
This allows the compiler to generate very efficient C code from Cython code. 
The generated C code compiles with Python 2.4 and later (including Python 3).

This makes Cython the ideal language for wrapping external C libraries, and for fast C modules that speed up the execution of Python code. 


%package -n python3-Cython
Summary:        A language for writing Python extension modules
Summary(ja):    Python 拡張モジュールを簡単に作成するためのプログラミング言語
Group:          Development/Languages
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-rpm-macros

%description -n python3-Cython
Cython is a language that makes writing C extensions for the Python language as easy as Python itself. Cython is based on the well-known Pyrex, but supports more cutting edge functionality and optimizations.

The Cython language is very close to the Python language, but Cython additionally supports calling C functions and declaring C types on variables and class attributes.
This allows the compiler to generate very efficient C code from Cython code. 
The generated C code compiles with Python 2.4 and later (including Python 3).

This makes Cython the ideal language for wrapping external C libraries, and for fast C modules that speed up the execution of Python code. 


%prep
%setup -q

%build
%{py_build}
%{py3_build}


%install
rm -rf $RPM_BUILD_ROOT
%{py_install}
%{py3_install}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING.txt LICENSE.txt
%doc README.txt USAGE.txt
#{_bindir}/cygdb
#{_bindir}/cython
#{_bindir}/cythonize
%{python_sitearch}/Cython
%{python_sitearch}/pyximport
%{python_sitearch}/Cython-%{version}-*-info
%{python_sitearch}/cython.*

%files -n python3-Cython
%license COPYING.txt LICENSE.txt
%doc README.txt USAGE.txt
%{_bindir}/cygdb
%{_bindir}/cython
%{_bindir}/cythonize
%{python3_sitearch}/*


%changelog
* Fri Oct 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.29.13-1
- new upstream release.

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.23.4-1
- new upstream release

* Sun Jul 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.1-1
- new upstream release

* Wed Feb  4 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.21.2-1
- new upstream release
- moved to Development/Languages Group

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.19.2-1
- new upstream release

* Thu Mar 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18-1
- new upstream release

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15.1-1
- initial build for Vine Linux
